cmake_minimum_required(VERSION 2.6...3.29)
project(far)

set(FAR_SOURCES
    far.c
    refpack_dec.c
)

set(FAR_HEADERS
    far.h
)

add_library(far STATIC ${FAR_SOURCES} ${FAR_HEADERS}) # remove static, cmake should take care of that
target_include_directories(far PUBLIC ${FAR_HEADERS})
set_target_properties(far PROPERTIES FOLDER archive)
